Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0010354Dwarf FortressAdventure Mode -- Conversationpublic2017-11-25 00:522017-12-24 17:06
Reporterjwoodward48df 
Assigned ToToady One 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformSDL 64 bitOSWindowsOS Version10
Product Version0.44.02 
Target VersionFixed in Version0.44.03 
Summary0010354: Missing text during performances
DescriptionWhen somebody comments on my performances while they are happening, their text is blank; all I see is "Whatshisname: "

When somebody joins me in a performance, their name during the description of their activity is missing; all I see is " makes a mockery of the whatever."

When somebody comments on my performances afterward, they are unable to identify who performed them; all I see is: "I saw an unknown creature tell the story..."
TagsNo tags attached.
Attached Files

- Relationships
related to 0009768new Name does not appear during performance 

-  Notes
(0036986)
Detros (manager)
2017-11-25 04:59

0009768, "Name does not appear during performance", is covering the second case.
(0036994)
untrustedlife (reporter)
2017-11-25 11:39

I am getting this too, heres a screenshot of the bug.
Tis ruining playing as a bard for me.
https://i.imgur.com/99SppBm.png [^]
(0037008)
Detros (manager)
2017-11-25 15:28

Does this happen to you with all performances all the time in 0.44.01 / 0.44.02 or does it occur just sometimes?
(0037029)
Pyoro64 (reporter)
2017-11-26 08:45

I can say it happens to me with every performance, npc and my own
(0037173)
Trif (reporter)
2017-12-01 14:59
edited on: 2017-12-01 14:59

Regarding the third part, "When somebody comments on my performances afterward, they are unable to identify who performed them; all I see is: 'I saw an unknown creature tell the story...'":

People just say that if they don't know your name.

I told a story, people reacted with: "I saw an unknown creature tell the story ..."
Then I shouted a greeting to everyone, so everyone knows who I am.
I recited a poem afterwards, and people reacted: "I saw Ilral Enjoygranite recite the poem ..."

So I think this part at least is intended behavior.

(0037174)
FantasticDorf (reporter)
2017-12-01 17:49

Interesting. Would inability to determine surface identity (who/what you are) explain why goblin site identity checks are also non-functional? 0010346

____________________

The identity of particular nobles (dwarf monarch particularly) is also reliant for [DETERMINES_COIN_DESIGN] if a particular area of identity is broken in version 44.02 with issue report 0010355 they would not be able to determine the coin design from features that don't exist.

- Issue History
Date Modified Username Field Change
2017-11-25 00:52 jwoodward48df New Issue
2017-11-25 04:58 Detros Relationship added related to 0009768
2017-11-25 04:59 Detros Note Added: 0036986
2017-11-25 11:39 untrustedlife Note Added: 0036994
2017-11-25 15:28 Detros Note Added: 0037008
2017-11-25 15:28 Detros Assigned To => Detros
2017-11-25 15:28 Detros Status new => needs feedback
2017-11-26 08:45 Pyoro64 Note Added: 0037029
2017-12-01 14:59 Trif Note Added: 0037173
2017-12-01 14:59 Trif Note Edited: 0037173 View Revisions
2017-12-01 14:59 Trif Note Edited: 0037173 View Revisions
2017-12-01 17:49 FantasticDorf Note Added: 0037174
2017-12-24 17:06 Toady One Status needs feedback => resolved
2017-12-24 17:06 Toady One Fixed in Version => Next Version
2017-12-24 17:06 Toady One Resolution open => fixed
2017-12-24 17:06 Toady One Assigned To Detros => Toady One


Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker